Package ghidra.app.cmd.memory

# Class AddUninitializedMemoryBlockCmd

java.lang.Object
ghidra.app.cmd.memory.AbstractAddMemoryBlockCmd
ghidra.app.cmd.memory.AddUninitializedMemoryBlockCmd

All Implemented Interfaces:
  `Command<Program>`

public class AddUninitializedMemoryBlockCmd extends AbstractAddMemoryBlockCmd
Command for adding uninitialized memory blocks

- ## Field Summary

  ### Fields inherited from class ghidra.app.cmd.memory.AbstractAddMemoryBlockCmd

  `comment, execute, isOverlay, isVolatile, length, message, name, read, source, start, write`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddUninitializedMemoryBlockCmd(String name, String comment, String source, Address start, long length, boolean read, boolean write, boolean execute, boolean isVolatile, boolean isOverlay)`
  Create a new AddUninitializedMemoryBlockCmd

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected MemoryBlock`
  `createMemoryBlock(Memory memory)`

  ### Methods inherited from class ghidra.app.cmd.memory.AbstractAddMemoryBlockCmd

  `applyTo, getName, getStatusMsg, setArtificial`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddUninitializedMemoryBlockCmd

    public AddUninitializedMemoryBlockCmd(String name, String comment, String source, Address start, long length, boolean read, boolean write, boolean execute, boolean isVolatile, boolean isOverlay)
    Create a new AddUninitializedMemoryBlockCmd
    Parameters:
      `name` - the name for the new memory block.
      `comment` - the comment for the block
      `source` - indicates what is creating the block
      `start` - the start address for the block
      `length` - the length of the new block
      `read` - sets the block's read permission flag
      `write` - sets the block's write permission flag
      `execute` - sets the block's execute permission flag
      `isVolatile` - sets the block's volatile flag
      `isOverlay` - if true, the block will be created in a new overlay address space.

- ## Method Details

  - ### createMemoryBlock

    protected MemoryBlock createMemoryBlock(Memory memory) throws LockException, MemoryConflictException, AddressOverflowException
    Specified by:
      `createMemoryBlock` in class `AbstractAddMemoryBlockCmd`
    Throws:
      `LockException`
      `MemoryConflictException`
      `AddressOverflowException`